

// // // //


СохранитьВременноеОписание = мир =>
{
    var м = мир.редактируемыйМодуль;
    м.имя = $(`#${мир.макет.зав.описаниеИмя}`).val()
    м.версия = $(`#${мир.макет.зав.описаниеВерсия}`).val()
    м["🏠"] = $(`#${мир.макет.зав.описаниеХранилище}`).val()
};


// // // //


ОчиститьИзменениеОписания = мир =>
{
    $(`#${мир.макет.зав.описаниеИзменение}`).attr("hidden", true);
};


// // // //


ОтобразитьИзменениеОписания = мир =>
{
    $(`#${мир.макет.зав.описаниеИзменение}`).removeAttr("hidden");
};


// // // //


ОтслеживатьИзменениеОписанияМодуля = мир =>
{
    $(`#${мир.макет.зав.описаниеИмя}`).on("input", function() {
        мир.уведомить("изменили описание модуля");
    });
    $(`#${мир.макет.зав.описаниеВерсия}`).on("input", function() {
        мир.уведомить("изменили описание модуля");
    });
    $(`#${мир.макет.зав.описаниеХранилище}`).on("input", function() {
        мир.уведомить("изменили описание модуля");
    });
};


// // // //


ОтобразитьОписаниеМодуля = мир =>
{
    var м = мир.редактируемыйМодуль;
    $(`#${мир.макет.зав.описаниеИмя}`).val(м.имя);
    $(`#${мир.макет.зав.описаниеВерсия}`).val(м.версия);
    $(`#${мир.макет.зав.описаниеХранилище}`).val(м["🏠"]);
};


// // // //


ОтобразитьСтруктуруПунктаОписанияЗава = мир =>
{
    $(`#${мир.макет.константы.содержимое}`).html(`
<div class="зав-отступ">
	<form>
		<input id="${мир.макет.зав.описаниеИмя}" class="uk-input uk-margin-small" type="text" placeholder="Имя | Name">
		<input id="${мир.макет.зав.описаниеВерсия}" class="uk-input uk-margin-small" type="text" placeholder="Версия | Version">
		<input id="${мир.макет.зав.описаниеХранилище}" class="uk-input uk-margin-small" type="text" placeholder="Хранилище | Repository">
	</form>
</div>
    `);
};



// // // //


ЗадатьВидСодержимогоМенюЗава = мир =>
{
    задатьВид(`
.зав-отступ
{
    padding: 1em;
}
    `)
};


// // // //


ОтобразитьВыборПунктаФайловЗава = мир =>
{
    $(`#${мир.макет.зав.описание}`).addClass("uk-active");
};


// // // //


ОтобразитьВыборПунктаОписанияЗава = мир =>
{
    $(`#${мир.макет.зав.описание}`).addClass("uk-active");
};


// // // //


ЗадатьРазделМенюЗава = мир =>
{
    мир.макет.зав = {
        "описание": "зав-описание",
        "описаниеСсылка": "зав-описание-ссылка",
        "описаниеИзменение": "зав-описание-изменение",
        "описаниеИмя": "зав-описание-имя",
        "описаниеВерсия": "зав-описание-версия",
        "описаниеХранилище": "зав-описание-хранилище",
        "файлы": "зав-файлы",
        "файлыСсылка": "зав-файлы-ссылка",
        "файлыИзменение": "зав-файлы-изменение",
    };
    
    $(`#${мир.макет.константы.меню}`).append(`
<ul class="uk-nav uk-nav-default tm-nav">
    <li class="uk-nav-header">📦 Модуль | Module</li>
    <li id="${мир.макет.зав.описание}">
        <a id="${мир.макет.зав.описаниеСсылка}"><span id="${мир.макет.зав.описаниеИзменение}" hidden>&#8226; </span>Описание | Description</a>
    </li>
    <li id="${мир.макет.зав.файлы}">
        <a id="${мир.макет.зав.файлыСсылка}"><span id="${мир.макет.зав.файлыИзменение}" hidden>&#8226; </span>Файлы | Files</a>
    </li>
</ul>
    `);

    $(`#${мир.макет.зав.описаниеСсылка}`).click(function() {
        мир.уведомить("выбрали пункт описания зава");
    });
    
    $(`#${мир.макет.зав.файлыСсылка}`).click(function() {
        мир.уведомить("выбрали пункт файлов зава");
    });
};